Delete Instance

View as Markdown

Delete an Instance by ID

Org must have a Tenant entity. Instance must belong to Tenant. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
instanceIdstringRequiredformat: "uuid"
ID of the Instance

Request

Optional request data to report health issues with the underlying Machine
machineHealthIssueobjectOptional
Information regarding issue with the underlying Machine experienced by Tenant
isRepairTenantboolean or nullOptional

Should be set to true for Tenants who are performing investigation/repairing the Machine. Otherwise omit or set to false

Response

Accepted

Errors

403
Forbidden Error